%global debug_package %{nil}

Name: pcmemtest
Version: 1.5
Release: 1%{?dist}
Summary: Stand-alone memory tester for x86 and x86-64 architecture computers
License: GPLv2
URL: https://github.com/martinwhitaker/pcmemtest
Source0: https://github.com/martinwhitaker/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
ExclusiveArch: x86_64
BuildRequires: gcc

%description
PCMemTest is a stand-alone memory tester for x86 and x86-64 architecture
computers. It provides a more thorough memory check than that provided by
BIOS memory tests.

PCMemTest can be loaded and run either directly by a PC BIOS (legacy or UEFI)
or via an intermediate bootloader that supports the Linux 16-bit, 32-bit,
64-bit, or EFI handover boot protocol. It should work on any Pentium class or
later 32-bit or 64-bit CPU.

%package efi
Summary: EFI version of pcmemtest
Requires: %{name}%{?_isa} = %{version}-%{release}

%description efi
PCMemTest is a stand-alone memory tester for x86 and x86-64 architecture
computers.

This package provides the EFI version of PCMemTest.

%package bios
Summary: BIOS version of pcmemtest
Requires: %{name}%{?_isa} = %{version}-%{release}

%description bios
PCMemTest is a stand-alone memory tester for x86 and x86-64 architecture
computers.

This package provides the BIOS version of PCMemTest.

%prep
%autosetup

%build
cd build64
%{make_build}

%install
cd build64
mkdir -p %{buildroot}/{boot,%{efi_esp_dir}}
install -m 0644 memtest.efi %{buildroot}/%{efi_esp_dir}/memtest.efi
install -m 0644 memtest.bin %{buildroot}/boot/memtest.bin

%files
%doc README.md
%license LICENSE

%files efi
%{efi_esp_dir}/memtest.efi

%files bios
/boot/memtest.bin

%changelog
* Tue Mar 01 2022 Juan Orti Alcaine <jortialc@redhat.com> - 1.5-1
- Version 1.5

* Sat Jul 31 2021 Juan Orti Alcaine <jortialc@redhat.com> - 1.4-1
- Initial package
